Robot Simulator of the Robotics Group for Self-Organization of Control: SelectiveNoiseWiring Class Reference

# SelectiveNoiseWiring Class Reference

Implements a one to one wiring and allows to select the noise strength per sensor channel. More...

`#include <selectivenoisewiring.h>`

Inherits One2OneWiring.

Collaboration diagram for SelectiveNoiseWiring:
[legend]

List of all members.

## Public Member Functions
| SelectiveNoiseWiring (NoiseGenerator *noise, std::vector< double > noiseStrengths, int plotMode=Controller)
| constructor
virtual | ~SelectiveNoiseWiring ()
virtual bool | wireSensorsIntern (const sensor *rsensors, int rsensornumber, sensor *csensors, int csensornumber, double noise)
| Realizes one to one wiring from robot sensors to controller sensors.
## Protected Member Functions
double | getNoiseStrength (unsigned int i)
## Protected Attributes
std::vector< double > | noiseStrengths

## Detailed Description

Implements a one to one wiring and allows to select the noise strength per sensor channel.

## Constructor & Destructor Documentation

SelectiveNoiseWiring | ( | NoiseGenerator * | noise,
|  | std::vector< double > | noiseStrengths,
|  | int | plotMode = `Controller` |
| ) |  |  | `[inline]`

constructor

Parameters:

  | noise | NoiseGenerator that is used for adding noise to motor values
  | noiseStrengths | for each channel the noise strength (no noise if channel is out of array bounds)
  | plotMode | see AbstractWiring

virtual ~SelectiveNoiseWiring | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

double getNoiseStrength | ( | unsigned int | i | ) | `[inline, protected]`

virtual bool wireSensorsIntern | ( | const sensor * | rsensors,
|  | int | rsensornumber,
|  | sensor * | csensors,
|  | int | csensornumber,
|  | double | noise |
| ) |  |  | `[inline, virtual]`

Realizes one to one wiring from robot sensors to controller sensors.

Parameters:

  | rsensors | pointer to array of sensorvalues from robot
  | rsensornumber | number of sensors from robot
  | csensors | pointer to array of sensorvalues for controller
  | csensornumber | number of sensors to controller
  | noise | size of the noise added to the sensors

Reimplemented from One2OneWiring.

## Member Data Documentation

std::vector<double> noiseStrengths`[protected]`

The documentation for this class was generated from the following file:

- selectivenoisewiring.h